StarWriterStruct::Redline Struct Reference documentation

StarWriterStruct::Redline Struct Reference

structure to store a redline in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Redline ()
| constructor
bool | read (StarZone &zone)
| try to read a redline : D

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< Redline > &redlineList)
| try to read a list of redline : R
static bool | readListList (StarZone &zone, std::vector< std::vector< Redline > > &redlineListList)
| try to read a list of list of redline : V

## Public Attributes
int | m_type
| the type
int | m_stringId
| the stringId
long | m_date
| the date
long | m_time
| the time
librevenge::RVNGString | m_comment
| the comment

## Friends
std::ostream & | operator<< (std::ostream &o, Redline const &redline)
| operator<<

## Detailed Description

structure to store a redline in a text zone

## Constructor & Destructor Documentation

## ◆ Redline()

StarWriterStruct::Redline::Redline | ( |  | ) |
| inline

constructor

Referenced by operator<<, and readList().

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Redline::read | ( | StarZone & | zone | ) |

try to read a redline : D

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::Redline::readList | ( | StarZone & | zone,
|  | std::vector< Redline > & | redlineList )
| static

try to read a list of redline : R

Referenced by readListList().

## ◆ readListList()

bool StarWriterStruct::Redline::readListList | ( | StarZone & | zone,
|  | std::vector< std::vector< Redline > > & | redlineListList )
| static

try to read a list of list of redline : V

Referenced by StarObjectPageStyle::read(), and StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Redline const & | redline )
| friend

operator<<

## Member Data Documentation

## ◆ m_comment

librevenge::RVNGString StarWriterStruct::Redline::m_comment

the comment

Referenced by operator<<, read(), and Redline().

## ◆ m_date

long StarWriterStruct::Redline::m_date

the date

Referenced by operator<<, read(), and Redline().

## ◆ m_stringId

int StarWriterStruct::Redline::m_stringId

the stringId

Referenced by operator<<, read(), and Redline().

## ◆ m_time

long StarWriterStruct::Redline::m_time

the time

Referenced by operator<<, read(), and Redline().

## ◆ m_type

int StarWriterStruct::Redline::m_type

the type

Referenced by operator<<, read(), and Redline().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx